      SUBROUTINE SIGINI(SIGMA,COORDS,NTENS,NCRDS,NOEL,NPT,LAYER,
     1 KSPT,LREBAR,REBARN)
C
      INCLUDE 'ABA_PARAM.INC'
C
      DIMENSION SIGMA(NTENS),COORDS(NCRDS)
      CHARACTER*80 REBARN

      IF(COORDS(1).LE.-80) THEN
      write(*,*)"error"
	ELSEIF(COORDS(1).LE.0.35)THEN
      SIGMA(2)=0.023*(COORDS(2)-(35.788+0.1819*COORDS(1)))
      SIGMA(1)=SIGMA(2)*0.37
      SIGMA(3)=0.27*(SIGMA(1)+SIGMA(2))
	ELSEIF(COORDS(1).LE.38.6)THEN
      SIGMA(2)=0.023*(COORDS(2)-(35.731+0.3469*COORDS(1)))
      SIGMA(1)=SIGMA(2)*0.37
      SIGMA(3)=0.27*(SIGMA(1)+SIGMA(2))
	ELSEIF(COORDS(1).LE.80)THEN
      SIGMA(2)=0.023*(COORDS(2)-(46.575+0.0659*COORDS(1)))
      SIGMA(1)=SIGMA(2)*0.37
      SIGMA(3)=0.27*(SIGMA(1)+SIGMA(2))
      ENDIF

      RETURN
      END
